Consultar resumo financeiro
curl --request GET \
--url https://gateway.staging.azentech.dev/api/merchant/balance-report \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.staging.azentech.dev/api/merchant/balance-report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.staging.azentech.dev/api/merchant/balance-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": {
"cash_in": {
"player": {
"counter": 12,
"total_amount": "1250.00"
},
"funding": {
"counter": 1,
"total_amount": "500.00"
}
},
"cash_out": {
"player": {
"counter": 5,
"total_amount": "425.00"
},
"profit_withdrawal": {
"counter": 1,
"total_amount": "100.00"
},
"fee": {
"total_amount": "12.50"
}
}
}
}{
"error": {
"message": {
"base": [
"Not authenticated"
]
},
"status": 401
}
}{
"error": {
"message": {
"base": [
"Not available for merchant"
]
},
"status": 403
}
}{
"error": {
"message": {
"base": [
"Too Many Attempts."
]
},
"status": 429
}
}{
"error": {
"message": {
"fatal": "Something went wrong. Please refer to support with the following code: 0000000000"
},
"status": 500
}
}Saldos
Consultar resumo financeiro
Agrega entradas e saídas por origem para estabelecimentos de apostas.
GET
/
api
/
merchant
/
balance-report
Consultar resumo financeiro
curl --request GET \
--url https://gateway.staging.azentech.dev/api/merchant/balance-report \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.staging.azentech.dev/api/merchant/balance-report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.staging.azentech.dev/api/merchant/balance-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": {
"cash_in": {
"player": {
"counter": 12,
"total_amount": "1250.00"
},
"funding": {
"counter": 1,
"total_amount": "500.00"
}
},
"cash_out": {
"player": {
"counter": 5,
"total_amount": "425.00"
},
"profit_withdrawal": {
"counter": 1,
"total_amount": "100.00"
},
"fee": {
"total_amount": "12.50"
}
}
}
}{
"error": {
"message": {
"base": [
"Not authenticated"
]
},
"status": 401
}
}{
"error": {
"message": {
"base": [
"Not available for merchant"
]
},
"status": 403
}
}{
"error": {
"message": {
"base": [
"Too Many Attempts."
]
},
"status": 429
}
}{
"error": {
"message": {
"fatal": "Something went wrong. Please refer to support with the following code: 0000000000"
},
"status": 500
}
}Comportamento observado
- Envie as duas datas. Se uma data estiver ausente ou inválida, o Gateway aplica valores padrão que podem formar um intervalo invertido.
- A rota está limitada a 1.000 requisições por minuto pelo middleware atual.
Os exemplos usam identificadores e credenciais sintéticos. Os resultados do processador dependem do credenciamento e da configuração do estabelecimento.